Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.unix
Class X11.XID

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.NativeLong
                  com.sun.jna.platform.unix.X11.XID

All Implemented Interfaces:
  com.sun.jna.NativeMapped, java.io.Serializable

Direct Known Subclasses:
  X11.Atom, X11.Colormap, X11.Cursor, X11.Drawable, X11.Font, X11.KeySym

Enclosing interface:
  X11

    public static class X11.XID

extends com.sun.jna.NativeLong

See Also:
  Serialized Form

Field Summary
`static X11.XID` | `None`

Fields inherited from class com.sun.jna.NativeLong
`SIZE`

Constructor Summary
`X11.XID()`
`X11.XID(long id)`

Method Summary
`java.lang.Object` | `fromNative(java.lang.Object nativeValue, com.sun.jna.FromNativeContext context)`
`protected boolean` | `isNone(java.lang.Object o)`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, hashCode, intValue, longValue, nativeType, setValue, toNative`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final X11.XID None

Constructor Detail

### X11.XID

    public X11.XID()

### X11.XID

    public X11.XID(long id)

Method Detail

### isNone

    protected boolean isNone(java.lang.Object o)

### fromNative

    public java.lang.Object fromNative(java.lang.Object nativeValue,
                                       com.sun.jna.FromNativeContext context)

  Specified by:
    `fromNative` in interface `com.sun.jna.NativeMapped`
  Overrides:
    `fromNative` in class `com.sun.jna.IntegerType`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.sun.jna.IntegerType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD